
#ifndef _READRXNFILE_H
#define _READRXNFILE_H

typedef enum {RXN_NAME = 0, MET, RXN_TYPE, COEFF, NEWLINE, XMET, EX_TYPE, REVERSE} STATE_TYPE;

#ifdef _READRXNFILE_C
void makeStoickMat(XTYPE*** stoickMat);
void initialize();
void finish();
void rxnName(void);
void met(void);
void rxnType(void);
void coeff(void);
void newline(void);
void xmet(void);
void extype(void);
void reverse(void);
extern BOOLEAN stoickDummy;
extern BOOLEAN verbose;
char* lowerCase(char* string2Lower);
#else
extern void makeStoickMat(XTYPE*** stoickMat);
extern void initialize();
extern void finish();
extern void rxnName(void);
extern void met(void);
extern void rxnType(void);
extern void coeff(void);
extern void newline(void);
extern void xmet(void);
extern void extype(void);
extern void reverse(void);
extern void readRxnFile(char* inputFile, XTYPE*** stoickMat, XFLXTYPE** xPtr, 
						UINT32* nrows, UINT32* ncols, UINT32* nxflxs);
extern char* lowerCase(char* string2Lower);
#endif


#endif /*end of file*/
